SQ(1)

NAME
sq-config-inspect - Inspect effective configuration details

SYNOPSIS
sq config inspect paths [OPTIONS]
sq config inspect network [OPTIONS]
sq config inspect policy [OPTIONS]

DESCRIPTION
Inspect effective configuration details.

This subcommand can be used to inspect various aspects of the effective configuration, such as various relevant paths, the cryptographic policy, the network configuration, etc.

SUBCOMMANDS

  sq config inspect paths
Inspect relevant paths.

Prints paths that are used by sq, such as the location of the home directory, the configuration file, the certificate store, the key store, etc.

  sq config inspect network
Inspect the network configuration.

Prints the network configuration. This can be used to gauge the metadata leakage resulting from network operations.

  sq config inspect policy
Inspect the cryptographic policy.

Explains the cryptographic policy that Sequoia uses to either accept or reject algorithms and packets outright, or at a configured point in time.

EXAMPLES

  sq config inspect paths

Inspect relevant paths.

    sq config inspect paths

  sq config inspect network

Inspect the network configuration.

    sq config inspect network

  sq config inspect policy

Inspect the cryptographic policy.

    sq config inspect policy

SEE ALSO
sq(1), sq-config(1), sq-config-inspect-paths(1), sq-config-inspect-network(1), sq-config-inspect-policy(1).

For the full documentation see <https://book.sequoia-pgp.org/>.

VERSION
1.3.1